<?php 
  $ruta="../../";
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."funciones/funciones.php");

  session_start();
  $fechaactual=date('Y-m-d');
  $horaactual=date('H:i:s');
   //$idusersis=$_SESSION["codusuario"];
  extract($_GET);

  $idpersonagrupo=dcUrl($lblcode);

  $pg=$personagrupo->muestra($idpersonagrupo);
  $per=$persona->muestra($pg['idpersona']);

?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="Ubicación";
    include_once($ruta."includes/head_basico.php");
    include_once($ruta."includes/head_tabla.php");
    include_once($ruta."includes/head_tablax.php");
  ?>
    <style type="text/css">
        #mapa{
    height: 400px;
      }
      .campoForm{
        margin-top: 2px;
      }
    /*----------------------------------------
        VENTAS
    ------------------------------------------*/

    .estInEste input{
      border:solid 1px #6759ff;
      border-radius: 3px;
    }
    .estilocliente{
      font-size:15px; 
      color:#004971;
    }
  </style>
</head>
<body>
    <?php
    //  include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
       //   $idmenu=107;
       //   include_once($ruta."aside.php");
        ?>
        <section id="content">
           <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                
              </div>   
            </div>
          </div>

   <div class="container">
    <div class="section">
      <!--Basic Form <div class="divider"></div> -->
        <div class="row">

        <!--  <div class="col s12 m12 l2">&nbsp;</div> -->
      <div class="col s12 m12 l12">
        <div class="col s12 m12 l12">
          <div class="card-panel">
            <div class="row">
              <fieldset>
                    <legend class="titulo"></legend>
                    <form class="col s12" id="idform5" action="return false" onsubmit="return false" method="POST">
                    <input id="idinmueble" name="idinmueble" type="hidden" value="<?php echo $idinmueble ?>">
                      
                        
                     <div class="row"> 
                      <div id="" class="col s12 m12 l12 " style="border: 1px solid #00818C; border-radius: 5px; background-color: white"><!--green lighten-5-->
                        <div class="card-content" style="">
                            <div class="col s12 m12 l6">
                               <div class="col s12 m12 l12" align="center" ><label style="color:#00BBC7; text-decoration:none; font-size:25px;"> ACTUALIZAR DE UBICACIÓN</label>
                           </div>
                              <div class="input-field col s12 m12 l12">
                                <input id="idzonaU" name="idzonaU" type="text" value="<?php echo $inm['nombre'] ?>" class="validate">
                                <label for="idzonaU">Zona</label>
                              </div>
                              <div class="input-field col s12 m12 l12">
                                <input id="iddireccionU" name="iddireccionU" type="text" value="<?php echo $inm['direccion'] ?>" class="validate">
                                <label for="iddireccionU">Dirección</label>
                              </div>
                              <div class="input-field col s12 m12 l12">
                                <input id="idtelefonoU" name="idtelefonoU" type="text" value="<?php echo $inm['nombre'] ?>" class="validate">
                                <label for="idtelefonoU">Telefono</label>
                              </div>
                              <div class="input-field col s12 m12 l12">
                                <input type="text" readonly id="idcoordX" class="form-control"  value="<?php echo $inm['coordX'] ?>" placeholder="Coord X..." name="idcoordX"> 
                                <label for="idcoordenadaX">Inmueble</label>
                              </div>
                               <div class="input-field col s12 m12 l12">
                                <input type="text" readonly id="idcoordY" class="form-control" value="<?php echo $inm['coordY'] ?>" placeholder="Coord Y..." name="idcoordY">
                                <label for="idcoordenadaY">Inmueble</label>
                              </div>
                               <div class="col s12 m12 l12" style="text-align: right;">  
                                 <button id="btnSave" onclick="registrar();" style="font-size: 18px;" class="btn green"><i class="fa fa-save (alias)"></i> Actualizar</button> 
                                 <button class="btn red" onclick="cerrar();"><i class="fa fa-upload"></i> Cerrar</button>
                                </div>
                            </div>
                            <div class="col s12 m12 l6">
                              <div class="row">
                            <fieldset>
                             <legend class="titulo">UBICACION</legend>
                                <div class="col-xs-12 col-sm-12">
                                    <div id="mapa" class="col-xs-12 col-sm-12"></div>
                                    
                                  </div>
                                 
                            </fieldset>
                                      
                            </div>
                            </div>
                              
                          </div>
                          
                        </div>
                      </div>
                    </form>
                  </fieldset>
              </div>
            </div>
          </div>

      </div>
     <!--  <div class="col s12 m12 l2">&nbsp;</div> -->
    </div>
    </div>
   </div>
     
          
          <!--<?php
            //include_once("../footer.php");
          ?> -->
        </section>
      </div>
    </div>
    <div class="row">
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
     <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCDasVEB9cdyjgRJD9ax76BvSs-Z9w8SeU"></script>
    <script type="text/javascript">
      
    $(document).ready(function() {
         $('#example0').DataTable( {
       "lengthMenu": [[5, 100, -1], [5, 100, "Todo"]],
       buttons: [
           
        ]
  });
      
      $('#example').DataTable({
        dom: 'Bfrtip',

      });
      $('#example2').DataTable({
        dom: 'Bfrtip',
        buttons: [
             'csv', 'excel', 'pdf' 
        ],
        "order": [[ 0, "asc" ]]
      });

  
    });


  //location.href='venta/index.php?lblcode='+id;  
//swal("ERROR!", "Valor no valido", "error")

    //---------------------------NUEVAS
  function registrar()
  {
    if (validar()) {
          swal({   
            title: "Estas Seguro?",   
            text: "Se actualizaran los datos y la coordenadas",   
            type: "warning",   
            showCancelButton: true,   
            closeOnConfirm: false,   
            showLoaderOnConfirm: true,
          }, 
          function(){
             var str = $( "#idform5" ).serialize();
            $.ajax({
              url: "actualizar.php",
              type: "POST",
              data: str,
              success: function(resp){
               //alert(resp);
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);
                  
                }, 1000); 
              }
            });
          });
        }else{
           swal("ERROR!", "Verificar datos faltantes", "error");
        }
  }

      function validar(retorno){
        var retorno=true;
        var nombre=$("#idnombre").val();
        var cx=$("#idcoordY").val();
        var cy=$("#idcoordX").val();
        var dir=$("#iddireccion").val();
        if (nombre=="" || cx=="" || cy=="" || dir=="") {
          retorno=false;
        }
        return retorno;
      }

     function cargarPer()
     {
      //alert(idped); 
      carnet=$("#idcarnet").val();      
        $.ajax({
          async: true,
          url: "cargar/cargar_persona.php?carnet="+carnet,
          type: "get",
          dataType: "html",
          success: function(data){
            var json = eval("("+data+")");

            $("#idpersonaImp").val(json.idpersona);
            $("#idexp").val(json.expedido);
            $("#idexp").material_select();
            $("#idnombre").val(json.nombre);
            $("#idpaterno").val(json.paterno);
            $("#idmaterno").val(json.materno);
            $("#idnacimiento").val(json.nacimiento);
          }

        });
        
     }


function obtener_area(idencar)
{      
    $.ajax({
    url: "cargar/mostrar_area.php",
    method: "POST",
    data: "idencargado="+idencar,
    success: function(data){
        $("#result").html(data);
        //alert(data);
    }
  });
  
}


  /*************   MARCADOR DE MAPA       ******************/
      var marcadores_nuevos = [];
      var marcadores_bd= [];

      //FUNCION PARA QUITAR MARCADORES DE MAPA
      function quitar_marcadores(lista)
      {
          //RECORRER EL ARRAY DE MARCADORES
          for (i in lista)
          {
              //QUITAR MARCADOR DEL MAPA
              lista[i].setMap(null);
          }
      }
      $(document).on("ready", function(){
          //COORDENADAS INICIALES -13.163622,-72.545926
          //Mostramos si ya tiene registrado los puntos
          var iniX="<?php echo $inm['coordX'];?>";
          var iniY="<?php echo $inm['coordY'];?>";
          var idinmueble="<?php echo $idinmueble;?>";
          var image = '../../imagenes/marker.png';
          $.ajax({
                type:"POST",
                url:"listarPuntos.php?idinmueble="+idinmueble
              }).done(function(data){
              console.log(data);
              var datoPub = JSON.parse(data);
              for(var i in datoPub){
                  var posi = new google.maps.LatLng(datoPub[i].coordX, datoPub[i].coordY);//bien
                              //CARGAR LAS PROPIEDADES AL MARCADOR
                              var contentString = 'INMUEBLE';
                              var infowindow = new google.maps.InfoWindow({
                                    content: contentString
                                  });

                              var marca = new google.maps.Marker({
                                idMarcador:datoPub[i].idmaps,
                                position:posi,
                                icon:image,
                                title: 'Hello World!',
                              });
                              marca.addListener('click', function() {
                                infowindow.open(mapa, marca);

                              });
                              //AGREGAR EVENTO CLICK AL MARCADOR
                              /*
                              google.maps.event.addListener(marca, "click", function(){
                                 alert("Hiciste click en "+marca.idMarcador + " - " + marca.titulo) ;
                              });
                              */
                              //AGREGAR EL MARCADOR A LA VARIABLE MARCADORES_BD
                              marcadores_bd.push(marca);
                              //UBICAR EL MARCADOR EN EL MAPA
                              marca.setMap(mapa);
              }
          });
          /****************/
          if (iniX=="") {
            alert("Punto en google maps no configurado");

            iniX=-16.8519002;
            iniY=-64.5525198;
            zm=7;
          }
          else{
            zm=13.5;
          }
          var punto = new google.maps.LatLng(iniX,iniY);
          //VARIABLE PARA CONFIGURACION INICIAL
          var config = {
              zoom:zm,
              center:punto,
              mapTypeId: google.maps.MapTypeId.ROADMAP
          };
          //VARIABLE MAPA
          var mapa = new google.maps.Map( $("#mapa")[0], config );

          google.maps.event.addListener(mapa, "click", function(event){
             //MOSTRAR UNA ALERTA AL HACER CLICK AL MAPA
             //EL EVENTO CLICK EN EL MAPA OFRECE UN PARAMETRO EVENT
             //EL CUAL DEVUELVE LAS COORDENADAS DE DONDE SE HIZO CLICK! 
             //alert(event.latLng);
             var coordenadas = event.latLng.toString();           
             //remover los parentesis
             coordenadas = coordenadas.replace("(", "");
             coordenadas = coordenadas.replace(")", "");           
             //coordenadas por separado
             var lista = coordenadas.split(",");           
             coordX=lista[0];
             coordY=lista[1];
             $("#idcoordX").val(coordX);
             $("#idcoordY").val(coordY);
             //$('#btnGuardar').attr('disabled',false);
             //variable para dirección, punto o coordenada
             var direccion = new google.maps.LatLng(coordX, coordY);           
             //variable para marcador
             
             var marcador = new google.maps.Marker({
                 position:direccion,//la posición del nuevo marcador
                 map: mapa, //en que mapa se ubicará el marcador
                 icon:image,
                 animation:google.maps.Animation.DROP,//como aparecerá el marcador
                 draggable:false//no permitir el arrastre del marcador
             });
             marcadores_nuevos.push(marcador);
             //ubicar el marcador en el mapa
             quitar_marcadores(marcadores_nuevos);
             quitar_marcadores(marcadores_bd);
             marcador.setMap(mapa);
             /*
              var lblcode="<?php echo $id ?>";
              $.ajax({
                url: "registrarPunto.php",
                type: "POST",
                data:'idcoordX='+coordX+'&idcoordY='+coordY,
                success: function(resp){
                  console.log(resp);
                  $("#idresultado").html(resp);
                }
              });
              */
             
          });        
      });     
        /*********************************************************/  
    function cerrar()
      {
       // 
     //  location.reload();
       opener.location.reload();
       window.close();
      }
    </script>
</body>

</html>